--- devices.c	Fri Jun 18 10:34:25 1999
+++ devices.c.acme	Fri Jun 18 10:35:07 1999
@@ -581,7 +581,7 @@
 }
 
 void devRemoveInode(char * path) {
-    logMessage("removing device file %s", path);
+    logMessage(L_("removing device file %s"), path);
     unlink(path);
 }
 
@@ -602,8 +602,14 @@
     drCount = 0;
     for (i = 0; i < numDrivers; i++) {
 	if (drivers[i].type == type) {
-	    if (defaultDriver == (drivers + i)) option = drCount;
-	    driverNames[drCount] = drivers[i].name;
+            if (defaultDriver == NULL && type == DRIVER_NET &&
+                strcmp (drivers[i].name, "NE2000 and compatible") == 0)
+                option = drCount;
+            else
+                if (defaultDriver == (drivers + i))
+                        option = drCount;
+
+	    driverNames[drCount] = _(drivers[i].name);
 	    indices[drCount++] = i;
 	}
     }
@@ -617,7 +623,7 @@
     }
 
     *drvptr = drivers + indices[option];
-    logMessage("picked driver %s", (*drvptr)->name);
+    logMessage(L_("picked driver %s"), (*drvptr)->name);
 
     return 0;
 }
@@ -671,19 +677,19 @@
       default: pciType = PCI_UNSET; break;
     }
 
-    logMessage("in loadDeviceDriver, ks = %d, typName = %s",
+    logMessage(L_("in loadDeviceDriver, ks = %d, typName = %s"),
 		kickstart, typeName);
 
 #if defined(__i386__) || defined(__sparc__) || defined(__alpha__)
     if (pciType != PCI_UNSET) {
-	logMessage("pci probing for %s devices", typeName);
+	logMessage(L_("pci probing for %s devices"), typeName);
 	numAvail = pciProbeDevice(pciType, &devs);
-	logMessage("pci probe found %d %s devices", numAvail, typeName);
+	logMessage(L_("pci probe found %d %s devices"), numAvail, typeName);
 #  ifdef __sparc__
     	    start_openprom();
-    	    logMessage("sbus probing for %s devices", typeName);
+    	    logMessage(L_("sbus probing for %s devices"), typeName);
     	    numSBUSAvail = sbusProbeDevice(pciType, &sbusdevs);
-	    logMessage("sbus probe found %d %s devices", numSBUSAvail, typeName);
+	    logMessage(L_("sbus probe found %d %s devices"), numSBUSAvail, typeName);
 	    if (numSBUSAvail <= 0)
 	    	numSBUSAvail = 0;
 	    else {
@@ -731,7 +737,7 @@
 	    }
 
 	    if (i < j) {
-		logMessage("multiple %s devices found", devs[i]->module[0]);
+		logMessage(L_("multiple %s devices found"), devs[i]->module[0]);
 		continue;
 	    }
 
@@ -749,9 +755,9 @@
 	    }
 
 	    if (numDrivers == i) {
-		logMessage("module %s not in install table", module_name);
+		logMessage(L_("module %s not in install table"), module_name);
 	    } else {
-		logMessage("found driver for %s", drivers[i].name);
+		logMessage(L_("found driver for %s"), drivers[i].name);
 		if (expert || (*probedDev)->nhits > 1) {
 		    if (!defDriver) defDriver = drivers + i;
 		} else {
@@ -786,7 +792,7 @@
        stop once one is found. If --missingok is not used, give an error. */
 
     if (kickstart) {
-	logMessage("in device handler\n");
+	logMessage(L_("in device handler\n"));
 
         while (!ksGetCommand(KS_CMD_DEVICE, ksArgv, &ksArgc, &ksArgv) &&
 	       !foundOne) {
@@ -808,7 +814,7 @@
 	    ksType = poptGetArg(optCon);
 	    ksDevice = poptGetArg(optCon);
 
-	    logMessage("type %s device%s", ksType, ksDevice);
+	    logMessage(L_("type %s device%s"), ksType, ksDevice);
 
 	    if (!ksType || !ksType || poptGetArg(optCon)) {
 		newtWinMessage(_("Error"), _("Ok"),
@@ -830,7 +836,7 @@
 		poptFreeContext(optCon);
 		continue;
 	    } else {
-		logMessage("found driver for %s", drivers[i].name);
+		logMessage(L_("found driver for %s"), drivers[i].name);
 		rc = loadDeviceModule(drivers + i, drlist, 1, ksOpts);
 		if (!rc) {
 		    if (!ksFindMore) foundOne = 1;
@@ -849,9 +855,12 @@
 
     do {
 	rc = modulesPanel(type, &driver, defDriver);
+    	logMessage("loadDeviceDriver 1");
 	if (rc) return rc;
 
+    	logMessage("loadDeviceDriver 2");
 	rc = loadDeviceModule(driver, drlist, 0, NULL);
+    	logMessage("loadDeviceDriver 3");
 	if (rc == INST_ERROR) {
 	    errorWindow(_("I can't find the device anywhere on your system!"));
 	}
@@ -921,7 +930,7 @@
 	while (*modStack)
 	    removeModule(*modStack), modStack--;
 
-	logMessage("device check function failed to find device");
+	logMessage(L_("device check function failed to find device"));
 	return INST_ERROR;
     }
 
@@ -1028,7 +1037,7 @@
 
     if (runProgram(RUN_LOG, "/bin/insmod", argv)) {
 	free(argv);
-	logMessage("insmod failed!");
+	logMessage(L_("insmod failed!"));
 	if (clearWindow) newtPopWindow();
 	if (expert) ioctl(0, VT_ACTIVATE, 1);
 	return INST_ERROR;
@@ -1040,7 +1049,7 @@
 	for (i = 0, chptr = argv[0]; i < argc; i++, chptr = argv[i])
 	    if (!strncmp(chptr, "irq=", 4)) {
 		chptr += 4;
-		logMessage("writing to /proc/parport/0/irq");
+		logMessage(L_("writing to /proc/parport/0/irq"));
 		if ((fd = open("/proc/parport/0/irq", O_WRONLY)) < 0)
 		    break;
 		write (fd, chptr, 1);
@@ -1090,7 +1099,7 @@
     int miscParameters;
     char buf[2000];
     struct moduleInfo * mod;
-    int numOptions, col, i, rc;
+    int numOptions, col, i, rc, j;
     struct moduleOptions * option;
     char * chptr, * start;
     int choice = OPTIONS_DEFAULT;	/* if (skipPrompts), use defaults */
@@ -1134,6 +1143,9 @@
 	    choice = OPTIONS_SPECIFY;
 	}
 
+	for (j = 0; driverOptions[j]; j++)
+	        driverOptions[i] = _(driverOptions[i]);
+
 	rc = newtWinMenu(_("Module Options"), buf, 55, 5, 15, 6,
 			 driverOptions, &choice, _("Ok"), _("Back"), NULL);
 	if (rc == 2) return INST_CANCEL;
@@ -1261,7 +1273,7 @@
 
     f = fopen(buf, "r");
     if (!f) {
-	logMessage("failed to open %s for module information", prefix);
+	logMessage(L_("failed to open %s for module information"), prefix);
 	return INST_ERROR;
     }
 
@@ -1464,7 +1476,7 @@
     strcat(buf, "/conf.modules");
 
     if (!append && !access(buf, F_OK)) {
-	logMessage("backing up old conf.modules");
+	logMessage(L_("backing up old conf.modules"));
 	strcpy(buf2, buf);
 	strcat(buf2, ".orig");
 	rename(buf, buf2);
@@ -1543,13 +1555,13 @@
     plipDevice = NULL;
 
     if (netDeviceAvailable("plip0")) {
-	logMessage("plip0 will be used for PLIP");
+	logMessage(L_("plip%d will be used for PLIP"), 0);
 	plipDevice = "plip0";
     } else if (netDeviceAvailable("plip1")) {
-	logMessage("plip1 will be used for PLIP");
+	logMessage(L_("plip%d will be used for PLIP"), 1);
 	plipDevice = "plip1";
     } else if (netDeviceAvailable("plip2")) {
-	logMessage("plip2 will be used for PLIP");
+	logMessage(L_("plip%d will be used for PLIP"), 2);
 	plipDevice = "plip2";
     }
 
@@ -1655,7 +1667,7 @@
 
     fd = open(path, O_RDONLY);
     if (fd < 0) {
-	logMessage("error opening %s: %s", path, strerror(errno));
+	logMessage(L_("error opening %s: %s"), path, strerror(errno));
 	return INST_ERROR;
     }
 
